User_to_group mapping exists after deleting given user

2016-12-13 11:06 - Vidhya Sundaram

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

After deleting a user from super admin UI , the user_to_group mapping for the user still remains in the database.

Ideally if user entry is deleted from database, the corresponding entries need to be flushed from other tables too.

Alternatively mark user table entry inactive/disabled so that data is in sync.

History

#1 - 2016-12-27 01:09 - Go MAEDA

- Status changed from New to Needs feedback

Could you explain how to reproduce this?

I could not reproduce the problem described in this issue.

The user (id: 15) belongs to 2 groups (id: 10, 11):

sqlite> select * from groups_users;

group_id    user_id

----------  ----------

10          15

11          15

sqlite>

 After deleting the user on "Administration" > "Users" page, related records in groups_users table are also deleted along with the user.

sqlite> select * from groups_users;

sqlite>

#2 - 2019-01-10 04:29 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
